
Core - Bug # 13056

Status: New Priority: Must have
Author: Riccardo De Contardi Category: Workspaces
Created: 2011-02-15 Assigned To:
Updated: 2015-01-23 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: admin users see all changes in LIVE workspace
Description

I've made a configuration like this:

an "editors" group
-a "reviewers & publishers" group (has got "Live" access)
 a custom workspace
  - owner: reviewers & publishers
  - members: editors

No "workspace stage" records, as I want a very very simple workflow: the only step after editing should be "send to ready to publish"

When I am an admin user and I go to workspaces module (in LIVE), I still see all the changes done (i.e. all the changes occurred to
the  content element I've changed) with current stage: "editing" and the "Discard workspace version of record" button does not seem
to work.

(Maybe related to 11535?)

Related issues:
duplicated by Core - Bug # 34329: LIVE Workspace behavior after publishing Closed 2012-02-27

History
#1 - 2011-02-16 08:36 - Tolleiv Nietsch
- Status changed from New to Accepted

#2 - 2011-02-24 11:24 - Riccardo De Contardi
- File C6.PNG added
- File C7.PNG added
- File c1.PNG added
- File C2.PNG added
- File C3.PNG added
- File C4.PNG added
- File C5.PNG added

The bug is still present in T3 4.5.1
I'd like to add some infos and screenshots: here is the procedure I followed:

STEP 1: editing
1. Enter with editor user (can work only in custom workspace)
1.1 Modify a CE (see C1.PNG, the text added is BBBBBB)
1.2 In workspaces module: see C2.PNG 
1.2.1 Click on the green arrow "send record to next stage" (alternatively, I check the checkbox, then in the dropdown "choose action" the only choiche
is "Send to stage: ready to publish".
I don't have recipients or comments to write, so I click "OK" on the popup.
1.2.2 see C3.PNG

STEP 2: publishing
2.Enter with publisher user (can work in custom workspace and LIVE)
2.1 in workspace module: C4.PNG
2.1.1 Click on the green arrow "send record to next stage" and then OK on the popup. Result: see C5.png

NOTE: if i check the checkbox, the dropdown "choose action" has 3 choiches:
."Send to stage: ready to publish" (WHY?? Again??)
."Publish to LIVE" 
."Send to stage:editing"

STEP 3: enter as admin 
3. Enter with admin user and go to LIVE workspace
3.1 in workspace module: C6.PNG
NOTE: in custom workspace I don't see anything, as in C5.PNG
3.2 If I click on green arrow, the result is C7.PNG; if I click again on the green arrow, it returns tu 3.1

Thank you for your support

BTW: what does

Current stage step: Editing n/3

means exactly?

#3 - 2011-04-12 16:25 - Oliver Hader
- Target version changed from 4.5.1 to 4.5.3

#4 - 2011-04-12 16:27 - Oliver Hader
- Target version changed from 4.5.3 to 4.5.3

#5 - 2011-04-12 16:29 - Oliver Hader
- Target version changed from 4.5.3 to 4.5.3

#6 - 2011-07-11 20:36 - Tolleiv Nietsch
- Target version changed from 4.5.3 to 4.5.4
- TYPO3 Version set to 4.5

#7 - 2012-03-13 12:38 - Riccardo De Contardi

A customer asked me an update on this topic.
Thank you very much and best regards.

#8 - 2012-04-26 17:16 - Riccardo De Contardi

2015-08-04 2/5



This bug is still present in TYPO3 4.7.0

#9 - 2013-03-27 16:52 - Riccardo De Contardi

This bug is still present in TYPO3 6.0.4!

#10 - 2013-03-27 20:27 - Andreas Wolf
- Target version changed from 4.5.4 to 6.0.5

@Riccardo: First of all, I'm sorry that nobody really took care of this issue for such a long time. I'm raising the target version now to the next 6.0
version, so maybe we can finally get this solved.

Two questions:

    1. What does the editor see in the workspaces module after the content has been published? Is the module empty or does it also display the
content?
    2. Did you really choose "publish" or rather "swap" (I don't know if that option still exists, I'm not that firm with workspaces). Anyways, if you did not,
then this is clearly a bug; if you swapped the versions (accidentially or on purpose), this is the intended behaviour.

#11 - 2013-03-27 20:27 - Andreas Wolf
- Status changed from Accepted to Needs Feedback

#12 - 2013-03-28 11:13 - Riccardo De Contardi
- File 20130328_c6.PNG added
- File 20130328_c7.PNG added
- File 20130328_c8.PNG added
- File 20130328_c1.PNG added
- File 20130328_c2.PNG added
- File 20130328_c3.PNG added
- File 20130328_c4.PNG added
- File 20130328_c5.PNG added

Ok... this is the procedure I've followed

1. Groups - the following groups were created:
administrators (ID=1) - only to group administrators    
ws_t3_permission    (ID=2) - all pages belong to this group
ws_t3_create_edit (ID=3) - this group has access list configured
ws_t3_mount[home]    (ID=4) - this group has db mount (home,ID=1) and file mounts configured
ws_t3_create (ID=5) - subgroups: ws_t3_permission,  ws_t3_create_edit, ws_t3_mount[home]    
ws_t3_review  (ID=6)  - subgroups: ws_t3_permission,  ws_t3_create_edit, ws_t3_mount[home],ws_t3_create           
ws_t3_publish (ID=7) - subgroups: ws_t3_create, ws_t3_review: Workspace permissions: Edit Live (Online) (it is the only group with this option
checked)

2. Users - the following users were created:
administator (ID=609); is admin --> group:adminstrators
t3editor(ID=610); inherits DB mount, file mounts from group, edit live  (Online):NO  --> group: ws_t3_create
t3reviewer(ID=612); inherits DB mount, file mounts from group,edit live  (Online):NO --> group: ws_t3_review
t3publisher (ID=614); inherits DB mount, file mounts from group,edit live  (Online):NO --> group: publish

3. Workspace: the following workspace was created:
t3_draft(ID=1)
Owners: administators, ws_t3_publish
Members: ws_t3_create, ws_t3_review
Custom stages: Approval by reviewers; responsible persons: ws_t3_review, ws_t3_publish

All others options were left as default when a workspace is created.

4.TEST CASES

4.1 editing of an existing CE
4.1.1 - STEP 1: editing
4.1.1.1 Log in as t3editor and modify a CE (see 20130328_c1.PNG, the text added is BBBBBB), save
4.1.1.2 in workspace module: see 20130328_c2.PNG; when I check the CE the only option in the first dropdown below is "send to stage "Approval by
reviewers" " 
4.1.1.3 I click on the right green arrow to send the CE to the next step; I don't have recipients or comments to write, so I click "OK" on the popup.
4.1.1.4 Result: see 20130328_c3.PNG

4.1.2 - STEP 2: review
4.1.2.1 Log in as t3reviewer and go to the workspace module: see 20130328_c4.png; when I check the CE the options in the first dropdown below
are the ones you see in the attached file (QUESTION: isn't an error to show "send to stage "Approval by reviewers""?)
4.1.2.2 I click on the right green arrow to send the CE to the next step; I don't have recipients or comments to write, so I click "OK" on the popup.
4.1.2.3 Result: see 20130328_c5.PNG

As far as now, if I enter as administrator, the LIVE tab of the workspace module is empty
4.1.3 - STEP 3: publish
4.1.3.1 Log in as t3publisher and go to the workspace module: see 20130328_c6.png; when I check the CE the options in the first dropdown below
are the ones you see in the attached file (QUESTION: isn't an error to show "send to stage "Ready to publish"" ?)
4.1.3.2 I click on the right green arrow to send the CE to the next step; I don't have recipients or comments to write, so I click "OK" on the popup.
4.1.3.3 Result: see 20130328_c7.PNG

4.1.4 - enter as administrator, go to workspace module; the result is shown in 20130328_c8.PNG
as you can see there is nothing that can be done here; please note that the "t3_draft" tab is empty

I hope that this will be sufficient; please contact me if you need more infos

#13 - 2013-05-07 11:02 - Riccardo De Contardi

Still present in 6.1...

#14 - 2013-10-16 17:11 - Ehringer, Christian

Riccardo De Contardi wrote:

Still present in 6.1...

Also Present in 4.7.7
#15 - 2013-12-10 00:57 - Michael Stucki
- Category changed from Bugs to Workspaces

#16 - 2013-12-10 01:01 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces

#17 - 2014-03-20 14:30 - Alexander Opitz
- Status changed from Needs Feedback to New
- Target version deleted (6.0.5)
- Is Regression set to No

#18 - 2014-11-10 11:06 - Sascha Schieferdecker

Still present in 6.2.6 and really confusing

#19 - 2015-01-23 11:33 - Mathias Schreiber
- Target version set to 7.5

Files
C6.PNG 17.3 kB 2011-02-24 Riccardo De Contardi
C7.PNG 21.6 kB 2011-02-24 Riccardo De Contardi
c1.PNG 26.1 kB 2011-02-24 Riccardo De Contardi
C2.PNG 20.7 kB 2011-02-24 Riccardo De Contardi
C3.PNG 23.4 kB 2011-02-24 Riccardo De Contardi
C4.PNG 23.8 kB 2011-02-24 Riccardo De Contardi
C5.PNG 12.4 kB 2011-02-24 Riccardo De Contardi
20130328_c6.PNG 48.6 kB 2013-03-28 Riccardo De Contardi
20130328_c7.PNG 16.6 kB 2013-03-28 Riccardo De Contardi
20130328_c8.PNG 38.1 kB 2013-03-28 Riccardo De Contardi
20130328_c1.PNG 30.4 kB 2013-03-28 Riccardo De Contardi
20130328_c2.PNG 38.7 kB 2013-03-28 Riccardo De Contardi
20130328_c3.PNG 45.5 kB 2013-03-28 Riccardo De Contardi
20130328_c4.PNG 47.7 kB 2013-03-28 Riccardo De Contardi
20130328_c5.PNG 50.2 kB 2013-03-28 Riccardo De Contardi
